Как реализовать определение местоположения

Есть ли способ я могу сделать мой ноутбук работает на Kubuntu немного более умный, где это может быть?

Я представляю, что это будет сделано путем определения, что такое WiFi подключения, или даже просто какой беспроводной/проводной сети, к которой подключены и затем Старт/Стоп программ, запуск скриптов и т. д. Но на самом деле я не возражаю, как это делается.

Есть ли способ (программа / скрипт) я могу реализовать такое поведение?

+642
user3433962 20 июл. 2010 г., 0:00:12
21 ответов

Да. Вы можете скачать DVD-диск в ISO, записать его на DVD, и установить программное обеспечение с диска DVD. Смотрите здесь компакт-диски и DVD-диски могут быть даны в качестве источника для пакета менеджерам точно так же, как онлайн-архивов.

+973
jay j 03 февр. '09 в 4:24

Есть стиль Oxygen-GTK, которая сделает приложений в GNOME посмотрим последовательно на Кубунту. Его называют, как ни странно кислорода-GTK и вы можете скачать установочный файл deb из кде-посмотри

вам нужно скачать файл "дебиан", который является третий вариант скачать

Надеюсь, что это помогает.

+948
David Bin 26 апр. 2011 г., 20:32:33

Как правило, когда вы делаете apt-получить расстояние-обновления будет обновить все, что доступно в том числе ядро. В Ubuntu, как правило, держит 3 или 4 версии ядра (если я правильно помню) только в том случае, если новое ядро вызывает серьезную проблему или проблемы. Если новое ядро не работает хорошо на вашем драйверы и т. д., можно загружать обратно на старые ядра. Что есть, то есть для. Вы можете удалить ядро через apt-получить удалить Linux-ядра* или с помощью менеджера пакетов Synaptic(который должен быть установлен отдельно). Но было бы безопаснее оставить хотя бы одну более старую версию ядра, как резервное копирование.

+771
user3690395 23 янв. 2016 г., 1:33:04

То, что вы просите-это очень опасно, потому что никаких новых уязвимостей в Apache можно использовать как корень. Одна из первых вещей, которые веб-мастера делают для обеспечения безопасности своих веб-сервер, чтобы не запустить приложение-сервер как root. Что сказал, Я предлагаю следующую альтернативу, которая должна удовлетворить потребности, как вы ее изложили.

  1. Создать shell-скрипт, который делает то, что вы хотите. Это не php-скрипт как PHP выполняется в веб-сервер, вам нужен скрипт, который запускается по Ubuntu. Вот пример:

    #!/Бен/ш
    # скрипт, который запускается как root
    whoami
    

    Я назвал этот файл /localstore/root.sh и вы должны разместить его где-нибудь, что имеет смысл в системах (электронная. г. /дома/www_data/бин).

  2. В окне терминала выполните команду судо VI /и т. д./пользователям использовать sudo? и вставьте следующую строку в конец файла (важно, чтобы быть в конце, так что другие команды не переопределить):

    Все все=NOPASSWD: /localstore/root.sh
    

    Что позволит им запускать скрипт как root, после проверки и подтверждения ее работы, я настоятельно рекомендую (опять же в целях безопасности), что вы измените строку

    никто не все=NOPASSWD: /localstore/root.sh
    

    но как Бодхи заметил, Апач должен работать как веб-данные в этом случае вы должны изменить никто не в ВСП-данных. Примечание: Я никогда не пробовал судо с никто не как пользователь, и я не уверен, что будет работать.

  3. В веб-серверном скрипте, имеет оболочку запустить скрипт в PHP следующим образом:

    < ?в PHP
    метод exec ("судо /localstore/root.sh");
    ?>
    

    Вы можете добавить параметры в скрипт внутри кавычек.

    Что должно сделать это так root.sh скрипт выполняется как root при вызове из веб-сервера. Если у вас есть другие сценарии, они могут быть через запятую на той же записи В пользователям использовать sudo? файл. Убедитесь, что разрешения на сценарий выполнения на веб-сервере.

+755
CB1066 29 дек. 2012 г., 17:54:35

Редактировать:
Там, кажется, не быть простой способ, чтобы исправить это.
phoibos нашли это обсуждение привязка к Гном баг-репорт #649087. Мы могли бы увидеть эту работу в будущих версиях гнома (ток 3.2.1 в Ubuntu 12.04).


Теперь следует ответить на изначально неправильно понял вопрос:

Если у вас два или более разных винных программ, запущенных значок вино должно получить расширенную и покажи маленький треугольник под ним. Оттуда вы можете переключать программы с <`> ярлык. Это плюс влево на 1, выше ключ.

Теперь, если у вас нет треугольника, то вина только видит вашу программу в качестве одного окна. В этом случае я не думаю, что есть простой способ обойти..

Switching to wine windows

+669
Jonathan Lisic 22 апр. 2012 г., 5:24:55

Я установил lightread , которая работает нормально. Я могу открыть lightread от тире, но нет lightread команду в терминале. Может быть команда lightread-это нечто иное, чем lightread. Итак, что является командой lightread?

+637
MTarantini 1 сент. 2011 г., 13:53:55

кто-нибудь знает где я могу скачать драйвер принтера для Epson ХР 605 все в одном принтер/копир/сканер

+626
klanzillo 18 янв. 2018 г., 12:22:04

Там может быть несколько причин, но убедитесь, что /usr/доли/приложений имеет .Desktop-файл для приложения. ИЛС нужно. Есть хорошие инструкции для совпадает это приложение на Ubuntu в http://eduardgrebe.net/2012/10/installing-stata-12-on-ubuntu-12-04/

+592
Ryan Power 12 янв. 2016 г., 12:45:32

Я скачал Ubuntu 11.10 32bit и поместите его на USB-накопитель, используя универсальный USB Installer из http://www.pendrivelinux.com/universal-usb-installer-easy-as-1-2-3/ .

Тогда я перезагрузки моего ноутбука. Я нажал ESC и выбрал "управление загрузкой", но нет варианта загрузки с USB. Только те параметры, которые я мог видеть, были загрузиться с жесткого диска и загрузиться с внутреннего CD/DVD-дисков. Что я должен делать?

Я уже поменял порядок загрузки в BIOS и он еще не работал. Моя система 64-битная, но разве это важно, если я хочу установить Ubuntu на 32-бит?

+591
cataltar 8 июн. 2016 г., 5:57:15

Я думаю, что вы были на правильном пути с GIMP. Почему бы не использовать то, что вы сделали в GIMP и вновь объединить PDF-файл, используя что-то вроде PDF пройдоха (имеет возможность импорта файлов PostScript ПС).

Увидеть этот предыдущий вопрос, как

+504
edoloughlin 19 окт. 2011 г., 0:01:55

Я заметил на рабочем столе версии при вводе команд как команду sudo apt-получить установку mysq я могу вкладку выполнить, как при разрешении пути к файлам. Однако на сервере издания этого не произойдет. Есть пакет мне нужен для этого, или файл конфигурации, чтобы это произошло?

+498
yrsik 29 апр. 2016 г., 12:35:07

Мне было предложено частичное обновление и я не закончил его. При этом в VLC был удален. Когда я пытаюсь установить его, я получаю это:

самые интересные места@самые интересные места-стола:~$ судо apt-получить установку в VLC 
Чтение списков пакетов... готово 
Построение дерева зависимостей 
Чтение информации о состоянии... готово 
Некоторые пакеты невозможно установить. Это может означать, что вы просили 
невозможную ситуацию, или если вы используете нестабильную версию дистрибутива, где 
необходимые пакеты еще не созданы или были удалены из incoming. 

Следующая информация может помочь разрешить ситуацию:

Следующие пакеты имеют неудовлетворенные зависимости: 
в VLC: 
Зависит:
VLC плеер-noх (= 1.1.13-1~ppa1~lucid1) но он не будет установлен
Рекомендует: VLC плеер-плагин-уведомление (= 1.1.13-1~ppa1~lucid1), но он не будет установлен
Рекомендует: VLC плеер-плагин-импульса (= 1.1.13-1~ppa1~lucid1), но он не будет установлен 
Е: сломанные пакеты 

самые интересные места@самые интересные места-стола:~$

суда apt-получить установить VLC-noх 
Чтение списков пакетов... готово 
Построение дерева зависимостей 
Чтение информации о состоянии... готово 
Некоторые пакеты невозможно установить. Это может означать, что вы запросили
невозможна ситуация, или если вы используете нестабильный дистрибутив
что некоторые необходимые пакеты еще не созданы или перемещены
из входящих. 

Следующая информация может помочь разрешить ситуацию:

Следующие пакеты имеют неудовлетворенные зависимости: 
в VLC-noх: 
Зависит:
libavformat52 (>= 4:0.6-1~) но он не будет установлен или libavformat-дополнительные-52 (>= 4:0.6-1~) 
Е: сломанные пакеты
+487
stavan883 11 окт. 2010 г., 9:29:17

Откройте терминал и выполните команду:

файл filename.ИСО-ТПБ

Если это .ИСО он будет показывать что-то вроде:

Стандарт ISO 9660 компакт-диск данных с файловой системой 
+408
user14685 8 мар. 2011 г., 6:53:09

Открыть гном-твик-утилиту, или установить его с помощью команды судо apt-получить установку гном-твик-утилиту.

Откройте его и там вы можете посмотреть свои расширения и отключить их, чтобы увидеть, если это проблема.

+381
Vikal Sharma 10 нояб. 2017 г., 5:34:50

Сначала загрузиться в USB и варианты Ubuntu будут отображаться на экране УР. Сначала он попросит выбрать язык русский язык (по умолчанию английский) после этого выберите попробовать Ubuntu без установки. Наслаждаться . Обратите внимание, их может быть некоторое отставание, потому что его загрузку с USB и CD / DVD-дисков.

+302
worner17 15 дек. 2010 г., 3:03:40

Гибридный приостановить это, когда ваш компьютер не приостановить на диск и отложить в памяти одновременно. Так что вы получите высокую скорость возобновления приостановки в оперативной памяти, но вы не потеряете свои сессии при потере питания или работать от батареи. Так что в принципе, это лучше, чем либо, приостановить-к-RAM или приостановить на диск в одиночку.

Из этого вопрос

Благодаря Rinzwind за комментарий

+286
Dandan 19 февр. 2019 г., 0:48:41

Для 12.04 и 11.10

У меня была такая же проблема с теми же компьютер введите эти команды и она будет решена.

судо команды modprobe -Р iwlagn
судо команды modprobe iwlagn bt_coex_active=0

Если это сработало, вы должны сделать его постоянным.

Чтобы сделать изменения постоянными:

gksu команду Gedit /и т. д./команды modprobe.г/сут.конф

Копировать/вставить эту строку в новый файл:

варианты iwlagn bt_coex_active=0

Сохранить и выйти.

После того, как вы сделаете это, вы будете испытывать очень медленное подключение к интернету, но она может быть решена путем внесения iwlag не использовать N, и это может быть сделано с помощью этих команд.

команду sudo rmmod -F в iwlagn
судо команды modprobe iwlagn 11n_disable=1

если вы видите, что это сделал разницу еще раз вы должны сделать это за минуту..

gksu команду Gedit /и т. д./команды modprobe.д/iwlagn-disable11n.конф
варианты iwlagn 11n_disable=1

Сохранить и выйти. И это все

Спасибо WBMachinery для этого.

Отчет об ошибке:

+256
Rohit Tigga 4 мар. 2012 г., 16:18:05

Я хочу скобяными config на Ubuntu для ручка привода Сид мигает.

+247
Toomad 16 авг. 2012 г., 23:52:52

Следуя инструкциям, размещенным в

гибрид-дамп для консолей ускоренного воспроизведения видео в Ubuntu 11.10 с Bumblebee 3.0?

Просмотр видео с включенным аппаратным ускорением дает звук, но нет изображения

Мне удалось успешно скомпилировать и запустить гибрид-windump как от gebart и harp1n. Я использую Шмель 3.0.1 с X-сват 304.64 драйверы под Xubuntu в 12.04 с NVIDIA для GT 525 млн.

Работает

Переменная LD_LIBRARY_PATH=$переменная LD_LIBRARY_PATH:/usr и/lib в/карта Nvidia-текущие/консолей: в/usr/lib в/nvidia_current
Дисплей=:8 и optirun mplayer'а -во консолей videofilename

В другом окне

Дисплей=:8 перевод --заменить

И в еще одном окне

./windump :8 :0.0

Независимо от того, если я скомпилировать либо в windump источники С или без включено файл xorg.конф (используя соответственно GCC и Make) результат всегда одинаков. На экране windump полностью черный.

И mplayer сообщает следующее

Mplayer'а r34540 СВН (Убунту), построенный с GCC-4.6 (с) Команда 2000-2012 mplayer'а 
mplayer'а: не удалось подключиться к сокету
mplayer'а: нет такого файла или каталога
Не удалось открыть поддержку lirc. Вы не сможете использовать пульт дистанционного управления.

Играть [F2715AEE].мкВ.
libavformat версия 53.21.0 (внешние)
Несовпадение заголовка версии 53.19.0
libavformat файл формат обнаружены.
[превратит ваш персональный компьютер в формате WebM @ 0x7f573df99940]max_analyze_duration достиг
[превратит ваш персональный компьютер в формате WebM @ 0x7f573df99940]оценивая продолжительность от битрейта, это может быть неточным
[lavf] трансляция 0: видео (кодек H264), -вид 0
[lavf] поток 1: аудио (АС3), помощи 0, -Аланга японский
[lavf] поток 2: субтитры (зад), -Сида 0, -сленг англ, гг
Видео: [кодек H264] 704x480 0bpp 23.976 кадр / 0.0 Кбит / с ( 0.0 Кбайт/с)
Клип информация:
название: 01
Загрузить субтитры в ./
Тема: добавил файл субтитров (1): ./[F2715AEE].жопа
==========================================================================
Открытие декодер видео: [Видео] семейное видео кодек кодеком 
кодеком версии 53.35.0 (внешние)
Несовпадение заголовка версии 53.32.2
Некоторые видео кодек: [ffh264] ВФМ: пакет ffmpeg (ffmpeg в форматах H. 264)
==========================================================================
==========================================================================
Открытие аудио декодер: [видео] Видео/аудио декодеров кодеков libavcodec 
Аудио: 48000 Гц, 2 ч, s16le, 448.0 Кбит/29.17% (соотношение: 56000->192000)
Выбран Аудио кодек: [ffac3] АСМ: пакет ffmpeg (ffmpeg с АС-3)
==========================================================================
АО: [пульс] 48000Hz 2ch в s16le (2 байта на сэмпл)
Начало воспроизведения...
Поддерживается PixelFormat 61
Поддерживается PixelFormat 53
Неподдерживаемые PixelFormat 81
Кино-аспект 1.74:1 - предделения в правильной пропорции фильма.
Во: [консолей] 704x480 => 834x480 плоскостном формате yv12 
Ответ: 22.0 в: 22.0 а-V: 0.000 КТ: 0.042 0/ 0 11% 1% 0.6% 0 0 

Я получаю следующее изображение http://i.imgur.com/NnFMi.png Там, кажется, есть окно внутри этой области, хотя я не могу переместить, изменить размер или закрыть его. То же самое происходит и при беге glxspheres, но невидимое окно имеет различные размеры и занимает весь черный уголок.

Может кто-нибудь помочь мне с получением правильного отображения изображения?

+227
santu sarkar 19 апр. 2015 г., 5:21:31

Есть ли простой способ локально трансляций мультимедийных файлов по сети (на других машинах с Ubuntu)? Я попытался с помощью SSH, но это слишком медленно для чего-либо, и я не могу выяснить, что-нибудь, что позволит мне в любое видео достаточно быстро.

+170
zykusik 4 сент. 2013 г., 1:30:17

Я думаю, что вы также должны предоставить png-версии в 16х16,24х24,размерами 36x36,48х48 и так далее. папки. Не просто масштабируемых! Может быть, вы можете попробовать Убунту-моно-свет и Ubuntu-моно-темные папки :)

+59
Thomas Erskine 8 сент. 2016 г., 18:03:55

Показать вопросы с тегом